
#ifndef STARS_IRDB_Interface_h
#define STARS_IRDB_Interface_h

#include <stdlib.h>
#include <fstream>
#include <libIRDB-core.hpp>
#include <libgen.h>
#include <assert.h>


namespace STARS
{

	class IRDB_Interface_t
	{
		public:
			IRDB_Interface_t(libIRDB::pqxxDB_t &p_pqxx_interface)
				: pqxx_interface(p_pqxx_interface)
			{
			};

			// invoke stars on one file.
			int do_STARS(libIRDB::FileIR_t* firp);

		private:
			libIRDB::pqxxDB_t &pqxx_interface;
	};



}

#endif
